#ifndef POOL_MALLOC_LIBC_OVVERRIDE_H_
#define POOL_MALLOC_LIBC_OVVERRIDE_H_

#include "poolMalloc.h"

static void ReplaceSystemAlloc(); // defined in the .h files below

#if defined(__GLIBC__)
#include "libc_override_glibc.h"

#elif defined(__GNUC__)
#include "libc_override_gcc_and_weak.h"

#else
#error Unsupported libc/OS combination

#endif

#endif // POOL_MALLOC_LIBC_OVVERRIDE_H_
